"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ng2_file_upload_1 = require("ng2-file-upload");
var FileUploadComponent = (function () {
    function FileUploadComponent() {
        this.fileChangeEvent = new core_1.EventEmitter();
        this.success = new core_1.EventEmitter();
    }
    Object.defineProperty(FileUploadComponent.prototype, "options", {
        get: function () {
            return this._options;
        },
        set: function (v) {
            this._options = v;
            this.uploader = new ng2_file_upload_1.FileUploader(this._options);
            this.uploader.onSuccessItem = this.successItem.bind(this);
        },
        enumerable: true,
        configurable: true
    });
    FileUploadComponent.prototype.ngOnInit = function () {
    };
    FileUploadComponent.prototype.selectedFileOnChanged = function (event) {
        this.fileChangeEvent.emit(event);
    };
    FileUploadComponent.prototype.successItem = function (item, response, status, headers) {
        this.success.emit(event);
    };
    FileUploadComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'dc-file-upload',
                    template: "\n    <input type=\"file\" ng2FileSelect [uploader]=\"uploader\" (success)=\"successItem($event)\" (change)=\"selectedFileOnChanged($event)\" />\n  ",
                    styles: [
                        "\n    "
                    ]
                },] },
    ];
    /** @nocollapse */
    FileUploadComponent.ctorParameters = function () { return []; };
    FileUploadComponent.propDecorators = {
        "fileChangeEvent": [{ type: core_1.Output },],
        "success": [{ type: core_1.Output },],
        "options": [{ type: core_1.Input },],
    };
    return FileUploadComponent;
}());
exports.FileUploadComponent = FileUploadComponent;
//# sourceMappingURL=file.upload.component.js.map